
#include "audio.h"

void Audio::set_volume(double volume)
{
	GValue value = { 0, };
	g_value_init(&value, G_TYPE_DOUBLE);
	g_value_set_double(&value, volume);

	g_object_set_property(G_OBJECT(player), "volume", &value);
	cur_volume = volume;
}

double Audio::get_volume()
{
	return cur_volume;
}
